;Load dll under windows, dylib under MacOS
(if (null (search "Mac" (lisp-implementation-version) :test #'char-equal))
  (load "vigra_c.dll")
  (load "vigra_c.dylib"))

;load some helpful array-functions
(load "vigracl.helpers.cl")	    

(defpackage :vigracl.impex
  (:use "COMMON-LISP")
  (:export loadimage saveimage))

(load "vigracl.impex.cl")


(defpackage :vigracl.imgproc
  (:use "COMMON-LISP")
  (:export resizeimage
	   rotateimage
	   reflectimage
	   fouriertransform))

(load "vigracl.imgproc.cl")


(defpackage :vigracl.filters
  (:use "COMMON-LISP")
  (:export gsmooth
	   ggradient
	   laplacianofgaussian
	   gsharpening
	   sharpening
	   nonlineardiffusion 
	   distancetransform))

(load "vigracl.filters.cl")


(defpackage :vigracl.segmentation
  (:use "COMMON-LISP")
  (:export labelimage
	   watersheds
	   cannyedgeimage
	   differenceofexponentialedgeimage))

(load "vigracl.segmentation.cl")
